import type { UmbBlockGridValueModel } from '../../types.js';
import { nothing } from '../../../../../external/lit/index.js';
import { UmbLitElement } from '../../../../core/lit-element/index.js';
import type { PropertyValueMap } from '../../../../../external/lit/index.js';
import type { UmbPropertyEditorUiElement, UmbPropertyEditorConfigCollection } from '../../../../core/property-editor/index.js';
import '../../local-components.js';
declare const UmbPropertyEditorUIBlockGridElement_base: import("../../../../../libs/extension-api/index.js").HTMLElementConstructor<import("../../../../core/validation/index.js").UmbFormControlMixinElement<UmbBlockGridValueModel | undefined>> & typeof UmbLitElement;
/**
 * @element umb-property-editor-ui-block-grid
 */
export declare class UmbPropertyEditorUIBlockGridElement extends UmbPropertyEditorUIBlockGridElement_base implements UmbPropertyEditorUiElement {
    #private;
    private _layoutColumns?;
    private _notSupportedVariantSetting?;
    private _isSortMode;
    set config(config: UmbPropertyEditorConfigCollection | undefined);
    /**
     * Sets the input to readonly mode, meaning value cannot be changed but still able to read and select its content.
     * @type {boolean}
     * @default
     */
    set readonly(value: boolean);
    get readonly(): boolean;
    mandatory?: boolean;
    mandatoryMessage: string;
    set value(value: UmbBlockGridValueModel | undefined);
    get value(): UmbBlockGridValueModel | undefined;
    constructor();
    protected firstUpdated(_changedProperties: PropertyValueMap<any> | Map<PropertyKey, unknown>): void;
    render(): typeof nothing | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbPropertyEditorUIBlockGridElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-property-editor-ui-block-grid': UmbPropertyEditorUIBlockGridElement;
    }
}
